Skip to main content
Query status of edge application instances
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

app instance summary flag

appName
string

User defined name of the app bundle, unique across the enterprise. Once app bundle is created, name can’t be changed

runState
enum<string>
default:UNSPECIFIED

aperation status

Available options:
UNSPECIFIED,
ONLINE,
HALTED,
INIT,
REBOOTING,
OFFLINE,
UNKNOWN,
UNPROVISIONED,
PROVISIONED,
SUSPECT,
DOWNLOADING,
RESTARTING,
PURGING,
HALTING,
ERROR,
VERIFYING,
LOADING,
CREATING_VOLUME,
BOOTING,
MAINTENANCE_MODE,
START_DELAYED,
BASEOS_UPDATING,
PREPARING_POWEROFF,
POWERING_OFF,
PREPARED_POWEROFF
deviceName
string

User defined name of the device, unique across the enterprise. Once device is created, name can’t be changed

projectName
string

User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed

namePattern
string

name pattern

type
integer<int64>

type of app

tags
string

json stringified key value pairs

projectNamePattern
string

project name pattern

deviceNamePattern
string

device name pattern

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select: id, name, deviceId, appId, tags, adminState, clusterID, runState, Memory, Storage, swState, Cpu, projectId, title, appType, deploymentType, memorySummary

patchEnvelopeNamePattern
string

patch envelope name pattern

patchEnvelopeReference
enum<string>
default:UNSPECIFIED

app instance patch envelope reference check

Available options:
UNSPECIFIED,
REFERENCING_PATCH,
NOT_REFERENCING_PATCH
titlePattern
string

title pattern

edgeNodeClusterID
string

edge node cluster id

Response

A successful response.

AppInstStatusListMsg is used for listing the app instance statuses

list
App instance status summary · object[]

app instance status summary

summaryByState
Summary is used to store the Summary details · object

app instance status by state

summaryByAppType
Summary is used to store the Summary details · object

app instance summary by application type

summaryByPatchEnvelope
Summary is used to store the Summary details · object

app instance summary by patch envelope

next
Cursor is used as filter in list operation. · object

cursor next